# Uses of Class
org.globus.gsi.GlobusCredentialException

Packages that use GlobusCredentialException
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.

## Uses of GlobusCredentialException in org.globus.gsi

Methods in org.globus.gsi that throw GlobusCredentialException
Modifier and Type
Method
Description
`static GlobusCredential`
GlobusCredential.`getDefaultCredential()`
Deprecated.
Returns the default credential.
`void`
GlobusCredential.`verify()`
Deprecated.
Verifies the validity of the credentials.
Constructors in org.globus.gsi that throw GlobusCredentialException
Modifier
Constructor
Description
``
`GlobusCredential(InputStream input)`
Deprecated.
Creates a GlobusCredential from an input stream.
``
`GlobusCredential(String proxyFile)`
Deprecated.
Creates a GlobusCredential from a proxy file.
``
`GlobusCredential(String certFile, String unencryptedKeyFile)`
Deprecated.
Creates a GlobusCredential from certificate file and a unencrypted key file.